Open topic with navigation

TIBCO BusinessEvents® Enterprise Edition 6.3.1

# Domain Objects Default Settings Reference

The Domain Object Default settings apply to all objects except those for which you explicitly configure overrides, using the Domain Object Overrides section. The options are available based on the object management type selected.

## For Cache Object Management

Domain Object Default Settings for Cache OM
Property | Description
--- | ---
Mode | With Cache OM, you can keep memory objects in the cache or Rete network using the following cache modes. Memory Only Objects are not persisted in the cache. They are kept in the Rete network (working memory) only. Cache Only Objects are persisted in the cache. They must be loaded into working memory as needed. This is the most common choice for a cache cluster. See Cache Modes and Project Design in the TIBCO BusinessEvents Architect’s Guide to understand the effects of this setting. Default is `Cache Only`. Note: If you set the mode to Memory Only, the rest of the properties in this section are not relevant and are ignored.
Preload Entities | Specifies whether objects are loaded into the cache from the backing store on system startup (both normal startup and recovery). Checked All objects are preloaded into the cache from the backing store. Lower level settings can override this setting by excluding specified objects. Unchecked No objects are preloaded. into the cache from the backing store. Lower level settings can override this setting by including specified objects. Default is `unchecked.`
Preload Handles | Specifies whether object handles are loaded into the `ObjectTable` cache. The `ObjectTable` cache holds references (handles) to the objects themselves. Checked All object handles are preloaded. Lower-level settings can override this setting by excluding handles for specified objects. Unchecked No object handles are preloaded into the cache from the backing store. Lower-level settings can override this setting by including handles for specified objects. Default is `unchecked.`
Preload Fetch Size | If Preload Entities or Preload Handles or both are checked, this setting specifies the number of entity objects or handles (or both) to preload for each entity type whose objects or handles (or both) are configured to be preloaded. This setting applies to both objects and handles and cannot be set differently for each. Objects and handles are fetched in a non-deterministic manner. This setting can be overridden at the entity level. Set to 0 to preload all. Set a number to load that number of objects or handles (or both). Default is `0`. Note: This setting is ignored unless Preload Entities or Preload Handles or both are checked.
Check for Version | This field applies to concepts that use cache-only mode. An inference agent uses its L1 cache, a local cache of limited size, to improve access time to the concepts stored in the cluster cache. When an agent finds a concept instance in this local cache, the Check for Version setting determines whether the agent uses the instance directly, or instead check in the cluster cache for a more recent version. If Checked (default value) The agent checks in the cluster cache for a more recent version. If a more recent version exists, it is used, and replaces the one found in the local cache. If Not Checked The agent uses the instance found locally. When content-aware load balancing is used, the local instance can be used without checking for version, improving performance. Default is `checked.`
Evict from Cache on Update | Used only if the `Agent.AgentClassName.cacheTxn.updateCache` property is set to false (see CDD Agent Classes Tab Properties Reference). If selected then whenever a rule action changes the value of any of an entity’s properties or inserts a new entity, the entity instance is evicted from the cache (updates are saved in the backing store). Use as needed to improve performance and cache memory management. For example, if an entity is not accessed frequently, it may save memory in the cache if the entity is evicted from the cache after it is updated.
Is Cache Limited | If selected, the cache size is limited. Limited cache requires use of a backing store. See Configuring a Limited (or Unlimited) Cache. The size of the entity cache and the size of the object table cache are set in the Object Management section of the Cluster tab. If not checked, the cache size is unlimited. You can override this default setting in entity overrides. Default is `unchecked.`
Concept TTL | Time-to-live (in seconds) for the concept. After the time-to-live is expired, the concept expires within the acceptable limits of the timeout. The default value is -1, which means the concept does not expire, and must be explicitly consumed. If you do not need to write the concept to cache, set this field to 0. The following are some constraints for using the Concept TTL field: Containment relationship: Ensure that parent and child concepts expire together or that the time-to-live for the parent is less than the time-to-live for the child concept. Thus, the application never references the child once the parent has expired. Reference Relationships: Do not set this field for concepts that reference other concepts, or for concepts that are referenced in other concepts. Note: After the time-to-live expires, the concept is removed from the object table after a specified delay interval. This delay helps reduce an object table load. You can configure this interval using the `objectTable.eviction.delay.interval` CDD property. Thus, Actual eviction time from object table = TTL + `objectTable.eviction.delay.interval` The default value is 60 seconds.
Entity Cache Size (in MB) | Specifies the size of the limited cache, in total memory capacity for each object type. The setting is per processing unit. See Configuring a Limited (or Unlimited) Cache. The default value is `50MB` and the minimum value should be greater than `15MB`. For limited cache, the entity cache size for non-overridden entities is set to the maximum value between the specified entity cache size and 50% of the available memory.
Object Table Cache Size (in MB) | Specifies the maximum size of the object table cache, in total memory capacity. Used with limited cache only. See "The Role of the Object Table" in the TIBCO BusinessEvents Architect’s Guide for more details about the object table. Also see,Configuring a Limited (or Unlimited) Cache. The default value is `200MB`. The Object Table Cache Size property is available only when the legacy lookup strategy is enabled.

## For Store Object Management

Domain Object Default Settings for Store OM
Property | Description
--- | ---
Mode | With Store OM, you can keep memory objects in the store or Rete network using the following modes. Memory Only Objects are not persisted in the store. They are kept in the Rete network (working memory) only. Store Only Objects are persisted in the store. They must be loaded into working memory as needed. This is the most common choice for a Store OM type cluster. See Cache Modes and Project Design in the TIBCO BusinessEvents Architect’s Guide to understand the effects of this setting. Default is `Store Only`. Note: If you set the mode to Memory Only, the rest of the properties in this section are not relevant and are ignored.
Concept TTL | Time-to-live (in seconds) for the concept. After the time-to-live is expired, the concept expires within the acceptable limits of the timeout. The default value is -1, which means the concept does not expire, and must be explicitly consumed. If you do not need to write the concept to store, set this field to 0. The following are some constraints for using the Concept TTL field: Containment relationship: Ensure that parent and child concepts expire together or that the time-to-live for the parent is less than the time-to-live for the child concept. Thus, the application never references the child once the parent has expired. Reference Relationships: Do not set this field for concepts that reference other concepts, or for concepts that are referenced in other concepts. Note: After the time-to-live expires, the concept is removed from the object table after a specified delay interval. This delay helps reduce an object table load. You can configure this interval using the `objectTable.eviction.delay.interval` CDD property. Thus, Actual eviction time from object table = TTL + `objectTable.eviction.delay.interval` The default value is 60 seconds.

Did you find this helpful?

YesNo
Great!
Thanks for taking the time to give us some feedback.
Sorry about that

Why wasn't this helpful? (check all that apply)

Could not find what I was looking for
Instructions confusing or unclear
Instructions did not work

Want to tell us more?

Please select at least one option or provide details about the issue!!

Error occurred while submitting feedback.

Error2 occurred while submitting feedback.

TIBCO BusinessEvents® Enterprise Edition

Copyright © 2004-2024. Cloud Software Group, Inc. All Rights Reserved.